INTERFACE
SUBROUTINE GNH_CONV_PRHS(&
 & LDMODEL_TO_FILE,PT,PQ,PL,PI,PR,PS,PG,&
 & PSPD,PSP) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE YOMGEM , ONLY : NGPTOT
LOGICAL,INTENT(IN) :: LDMODEL_TO_FILE
REAL(KIND=JPRB),INTENT(IN) :: PT(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PQ(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PL(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PI(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PR(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PS(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(IN) :: PG(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PSPD(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PSP(NGPTOT)
END SUBROUTINE GNH_CONV_PRHS
END INTERFACE
